---
type: api
title: Get Cloud Connected clusters
description: Fetches a list of Cloud Connected clusters.
url: https://www.elastic.co/elastic/docs-builder/docs/4641/api/doc/cloud-connect/operation/operation-listclusters
resource: https://www.elastic.co/elastic/docs-builder/docs/4641/api/doc/cloud-connect/operation/operation-listclusters
products:
  - Elastic Cloud Hosted
---

# Get Cloud Connected clusters

Authentication: required

- Server: `https://api.elastic-cloud.com`

## Paths

- `GET` `/api/v1/cloud-connected/clusters`

## Description

Fetches a list of Cloud Connected clusters.

## Responses

#### `200`

The Cloud Connected cluster list

`application/json`

- `items` (object[])
  The actual clusters.
  - `id` (string · pattern: ^[a-z0-9]{32}$)
    ID of the Cloud Connected cluster.
  - `name` (string · max length: 255)
    Descriptive name for a Cloud Connected cluster.
  - `metadata` (object)
    Additional details about the Cloud Connected cluster.
    - `created_at` (string · format: date-time)
      Date and time when the cluster was onboarded.
    - `created_by` (string)
      ID of the user.
    - `organization_id` (string · pattern: ^[a-z0-9]{1,32}$)
      The Organization ID which owns the cluster.
  - `self_managed_cluster` (object)
    A self-managed cluster.
    - `id` (string)
      ID of the self-managed cluster.
    - `name` (string)
      Descriptive name for a self managed cluster.
    - `version` (string)
      The version of the self-managed cluster.
  - `license` (object)
    The license of the self-managed cluster
    - `type` (enum)
      The type of the self-managed cluster license.
      Values: `trial`, `basic`, `standard`, `dev`, `silver`, `gold`, `platinum`, `enterprise`
    - `uid` (string)
      The unique identifier of the self-managed cluster license.
  - `services` (object)
    A list of Cloud services that can be enabled for a cluster.
    - `auto_ops` (object)
      Information about the state and configuration for the AutoOps service
      - `enabled` (boolean)
        whether the AutoOps service is enabled for the cluster
      - `support` (object)
        Information about whether a service is supported for a cluster
        - `supported` (boolean)
          whether the service can be enabled for the cluster
        - `valid_license_types` (enum[])
          list of license types that support the service.
          Values: `trial`, `basic`, `standard`, `dev`, `silver`, `gold`, `platinum`, `enterprise`
        - `minimum_stack_version` (string)
          minimum stack version that supports the service.
      - `config` (object)
        Configuration for the AutoOps service
        - `region_id` (string)
          Unique human-readable identifier for a region in Elastic Cloud.
      - `metadata` (object)
        Metadata information for the AutoOps service, including documentation and service URLs
        - `documentation_url` (string · format: uri)
          URL to the service documentation
        - `service_url` (string · format: uri)
          URL to access the service for this cluster.
        - `connect_url` (string · format: uri)
          URL to connect to the service.
      - `subscription` (object)
        Subscription requirements for a service.
        - `required` (boolean)
          Whether a subscription is required for this service.
    - `eis` (object)
      Information about the state and configuration for the EIS service
      - `enabled` (boolean)
        whether the EIS service is enabled for the cluster
      - `support` (object)
        Information about whether a service is supported for a cluster
        - `supported` (boolean)
          whether the service can be enabled for the cluster
        - `valid_license_types` (enum[])
          list of license types that support the service.
          Values: `trial`, `basic`, `standard`, `dev`, `silver`, `gold`, `platinum`, `enterprise`
        - `minimum_stack_version` (string)
          minimum stack version that supports the service.
      - `metadata` (object)
        Base metadata information for a service, including documentation URL
        - `documentation_url` (string · format: uri)
          URL to the service documentation
      - `subscription` (object)
        Subscription requirements for a service.
        - `required` (boolean)
          Whether a subscription is required for this service.
#### `401`

Unauthorized

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
#### `403`

Forbidden

`application/json`

- `errors` (object[])
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
## Code examples

#### curl

```curl
curl -X GET "https://api.elastic-cloud.com/api/v1/cloud-connected/clusters" \
  -H "Authorization: ApiKey ${API_KEY}"
```

## Response examples

#### 200

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "items": [
    {
      "id": "string",
      "name": "my observability cluster",
      "metadata": {
        "created_at": "string",
        "created_by": "1014289666002276",
        "organization_id": "198583657190"
      },
      "self_managed_cluster": {
        "id": "string",
        "name": "observability-cluster-central-2",
        "version": "8.10.1"
      },
      "license": {
        "type": "trial",
        "uid": "1234567890abcdef1234567890abcdef"
      },
      "services": {
        "auto_ops": {
          "enabled": false,
          "support": {
            "supported": false,
            "minimum_stack_version": "8.5.0"
          },
          "config": {
            "region_id": "aws-us-east-1"
          },
          "metadata": {
            "documentation_url": "https://www.elastic.co/guide/en/cloud/current/eis.html",
            "service_url": "https://app.auto-ops.cloud.elastic.co/regions/aws-us-east-1/organizations/198583657190/clusters/abcdef1234567890abcdef1234567890/cluster",
            "connect_url": "https://application.auto-ops.cloud.elastic.co/organizations/198583657190/connect-autoops"
          },
          "subscription": {
            "required": false
          }
        },
        "eis": {
          "enabled": false,
          "support": {
            "supported": false,
            "minimum_stack_version": "8.5.0"
          },
          "metadata": {
            "documentation_url": "https://www.elastic.co/guide/en/cloud/current/eis.html"
          },
          "subscription": {
            "required": false
          }
        }
      }
    }
  ]
}
```

#### 401

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
```

#### 403

`application/json`

Generated from the API spec. Values are representative. Unions use the first variant; deeply nested or large bodies may omit fields.

```json
{
  "errors": [
    {
      "message": "Explicative error message",
      "code": "code.error"
    }
  ]
}
```

